:root {
  --bg: #ffffff;
  --text: #111111;
  --card-radius: 36px;
  --card-size: 288px;
  --gap: 33px;
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  background: var(--bg);
  color: var(--text);
  font-family: "Archivo", sans-serif;
}

.page {
  width: 100%;
  max-width: 1300px;
  margin: 0 auto;
  padding: 32px;
}

h1 {
  margin: 0 0 32px;
  font-size: 36px;
  font-weight: 800;
  text-align: center;
  line-height: 1;
}

.grid {
  display: grid;
  grid-template-columns: repeat(4, var(--card-size));
  grid-auto-rows: var(--card-size);
  gap: var(--gap);
  justify-content: center;
}

.card {
  border-radius: var(--card-radius);
  padding: 36px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 12px;
  overflow: hidden;
}

h2 {
  margin: 0;
  font-size: 38px;
  font-weight: 700;
  line-height: 1;
}

.card h3 {
  margin: 0;
  font-size: 20px;
  font-weight: 700;
  line-height: 1;
}

.card h4 {
  margin: 0;
  font-size: 20px;
  font-weight: 700;
  line-height: 1.1;
}

.card p,
.card a {
  margin: 0;
  font-size: 16px;
  line-height: 1.35;
  color: inherit;
  text-decoration: none;
}

.small-title {
  font-size: 40px;
  font-weight: 700;
  line-height: 1;
  margin: 0;
}

.paragraph {
  font-size: 12px !important;
  line-height: 1.33 !important;
}

.bg-light-blue {
  background: #ddf6ff;
}
.bg-light-gray {
  background: #d9d9d9;
}
.bg-dark-gray {
  background: #4d4d4d;
}
.bg-white {
  background: #f2f2f2;
}
.bg-cream {
  background: #fdfbe6;
}
.bg-lime {
  background: #faffb9;
}
.bg-green {
  background: #c1ffb9;
}
.bg-blue {
  background: #0693e3;
  color: #ffffff;
}
.bg-pink {
  background: #ffdede;
}
.bg-cyan {
  background: #b9fff9;
}

.placeholder {
  border-radius: var(--card-radius);
}

.intro {
  grid-column: 1;
  grid-row: 1;
}
.image {
  width: var(--card-size);
  border-radius: var(--card-radius);
  padding: 0;
  grid-column: 2;
  grid-row: 1;
}
.ph-large {
  grid-column: 3 / span 2;
  grid-row: 1 / span 2;
}
.about {
  grid-column: 1 / span 2;
  grid-row: 2;
}

.experience {
  grid-column: 1 / span 2;
  grid-row: 3;
}
.frontend {
  grid-column: 3;
  grid-row: 3;
}
.backend {
  grid-column: 4;
  grid-row: 3;
}

.education {
  grid-column: 1;
  grid-row: 4;
}
.info {
  grid-column: 2;
  grid-row: 4;
}
.fundamentals {
  grid-column: 3;
  grid-row: 4;
}
.languages {
  grid-column: 4;
  grid-row: 4;
}

.section-title {
  margin: 0;
  font-size: 42px;
  font-weight: 700;
  line-height: 1;
}

.experience .subtitle {
  display: flex;
  justify-content: space-between;
  gap: 16px;
  width: 100%;
  font-style: italic;
}
.subtitle > p {
  font-size: 14px;
}
.row {
  display: flex;
  align-items: center;
  gap: 6px;
  font-size: 13px;
  line-height: 1.3;
  color: #111111;
}

.row a {
  font-size: 13px;
  line-height: 1.3;
  color: #111111;
}

.icon {
  width: 18px;
  height: 18px;
  flex-shrink: 0;
  display: inline-block;
}

.footer {
  margin-top: 18px;
  padding: 16px 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer p,
.footer a {
  margin: 0;
  color: #111111;
  font-size: 16px;
  text-decoration: none;
}

.footer-right {
  display: flex;
  align-items: center;
  gap: 30px;
}

.footer-icons {
  display: flex;
  align-items: center;
  gap: 18px;
}

.line-break {
  display: block;
}
.projetos {
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: var(--text);
  padding: 0;
  overflow: hidden;
}
.card-image-container {
  width: 100%;
}
.conteudo {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
  gap: 12px;
  padding: 12px 36px 36px 36px;
}

.card-image-container img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* Mantém a proporção sem distorcer */
  display: block; /* Remove espaços em branco extras */
}

.conteudo > p {
  font-size: 14px;
}
.stack {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;
  align-items: center;
  gap: 6px;
}

.pill-list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 8px;
  padding: 0;
  list-style: none;
  margin: 0;
}

.pill-item {
  display: inline-block;
  font-size: 0.675rem;
  font-weight: 500;
  border: 1px solid #4d4d4d;
  list-style: none;
  text-decoration: none;
  padding: 2px 8px;
  border-radius: 9999px;
}

@media (max-width: 1300px) {
  h1 {
    font-size: 24px;
  }

  .card h2 {
    font-size: 20px;
  }

  .card {
    min-height: 288px;
    max-width: 288px;
  }

  .card img {
    display: none;
  }

  .main {
    display: flex;
    flex-direction: column;
  }
  .grid {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
  }

  .experience .subtitle {
    display: block;
    font-style: italic;
  }
}
